# Up to two digits, to fit in the iso label
%global rel 3

%global spice_nsis_version 0.103
%global source_base spice-nsis-%{spice_nsis_version}

Name:		ovirt-guest-tools-iso
Version:	3.6
Release:	%{rel}%{?dist}
Summary:	oVirt Windows Guest Tools
License:	GPLv2 and GPLv2+ and ASL 2.0 and Zlib and MIT and Python and Platform SDK Redistributable EULA and Microsoft DDK Redistributable EULA
Source:		http://resources.ovirt.org/pub/ovirt-3.6/src/ovirt-wgt/%{source_base}.tar.bz2
URL:		http://www.ovirt.org/Features/oVirt_Windows_Guest_Tools
BuildArch:	noarch
Packager:	Lev Veyde <lveyde@redhat.com>

BuildRequires:	genisoimage
BuildRequires:	rsync
BuildRequires:	mingw32-nsis >= 2.46

# Drop these when virtio-win includes the drivers not inside an iso.
# See comment in Makefile.
BuildRequires:	p7zip
BuildRequires:	p7zip-plugins
BuildRequires:	hardlink

# From http://www.spice-space.org/download/windows/vdagent/vdagent-win-0.7.3/
BuildRequires:	mingw32-spice-vdagent >= 0.7.3
BuildRequires:	mingw64-spice-vdagent >= 0.7.3

# From http://resources.ovirt.org/pub
BuildRequires:	ovirt-guest-agent-windows
BuildRequires:	vcredist-x86
BuildRequires:	nsis-simple-service-plugin

# From https://fedoraproject.org/wiki/Windows_Virtio_Drivers#Yum.7CDnf_Repo
BuildRequires:	virtio-win

Obsoletes:	ovirt-guest-tools

%description
Windows Guest tools ISO for oVirt Virtualization Manager.

%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	MODE=OVIRT \\\
	DISPLAYED_VERSION='%{version}-%{release}' \\\
	ISO_LABEL='oVirt-WGT-%{version}-%{rel}'

%prep
%setup -n %{source_base} -q

%build
make %{make_common_opts}

%install
make %{make_common_opts} install DESTDIR="%{buildroot}"

%files
%{_datadir}/%{name}

%changelog
* Wed Feb 10 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-3
- Updated oVirt Guest Agent (1.0.11-2)
- Includes VirtIO-Win 0.1-112

* Wed Nov 11 2015 Yedidyah Bar David <didi@redhat.com> 3.6-3
- merged into upstream git repo spice-nsis
- separated Makefile out of the spec file

* Tue Oct 20 2015 Yedidyah Bar David <didi@redhat.com> 3.6-2
- Updated oVirt Guest Agent (1.0.11)
- dropped "artifacts" from all paths

* Mon Nov 24 2014 Lev Veyde <lveyde@redhat.com> 3.5-7
- Updated oVirt Guest Agent (1.0.10.3)

* Wed Oct 22 2014 Lev Veyde <lveyde@redhat.com> 3.5-6
- Volume label was changed to include oVirt prefix
- ISO metada was added

* Wed Oct 08 2014 Lev Veyde <lveyde@redhat.com> 3.5-5
- Initial RPM based version of oVirt Guest Tools
- Includes latest oVirt Guest Agent 1.0.10.2
- Includes Spice Agent 0.7.2
- Includes Spice QXL 0.1-21
- Includes VirtIO-Win 0.1-81
